Bug 1796531 - [ovn] fix race causing pods to claim management port IP
Summary: [ovn] fix race causing pods to claim management port IP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Ben Bennett
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-30 16:26 UTC by Dan Williams
Modified: 2020-05-13 21:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 21:55:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 83 None closed Bug 1796531: CARRY: fix race updating exclude IPs on node switch 2020-03-17 14:34:25 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:55:49 UTC

Description Dan Williams 2020-01-30 16:26:19 UTC
Fix a race in the hybrid overlay CARRY patch causing pods to claim the management port IP address.

Comment 2 zhaozhanqi 2020-02-03 02:32:31 UTC
@ross, could you help verified this bug? thanks

Comment 3 Ross Brattain 2020-02-04 22:02:18 UTC
Verified other-config:exclude_ips is set

4.4.0-0.nightly-2020-02-03-110037

$ oc get pod -o wide -n test1
NAME            READY   STATUS    RESTARTS   AGE   IP            NODE                                      NOMINATED NODE   READINESS GATES
test-rc-gwcc6   1/1     Running   0          22m   10.128.2.7    v9579                                     <none>           <none>

sh-4.2# ovn-nbctl  list Logical_Switch v9579
_uuid               : 14fc1d83-6e1f-4897-95aa-9a1d5b9b44b9
acls                : [1ae8eb74-9abb-4804-b112-a1f7290fd68d]
dns_records         : []
external_ids        : {gateway_ip="10.128.2.1/23"}
load_balancer       : [465a25ec-15b0-4679-a3d0-0d5a26e47935, 5c270e5b-f270-43a2-ade2-04304d25c153]
name                : "v9579"
other_config        : {exclude_ips="10.128.2.3", subnet="10.128.2.0/23"}




other_config=exclude_ips set to 10.128.2.3, pod IP set to 10.128.2.7

Comment 5 errata-xmlrpc 2020-05-13 21:55:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.